From aa923d955270aa439244cc5d245fb41f4e095224 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Thu, 2 Apr 2020 15:44:07 +0800
Subject: [PATCH 27/77] virtual_disks_multidisks: increase wait time in
 add_sleep function for not only ppc64 platform.

Other platform need increase wait time too to let VM really added or
cleanup after disk device change action.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
index fa4d0288..ef0a76d7 100644
--- a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
+++ b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
@@ -1415,7 +1415,7 @@ def run(test, params, env):
         if status_error:
             test.fail("VM started unexpectedly")
 
-        def add_sleep(sleep_seconds=10):
+        def add_sleep(sleep_seconds=1):
             """
             Check specific arch and do sleep for specified seconds.
             This is to workaround for some failures due to different
@@ -1424,7 +1424,8 @@ def run(test, params, env):
             :param sleep_seconds: seconds for sleeping
             """
             if on_ppc:
-                time.sleep(sleep_seconds)
+                sleep_seconds = 10
+            time.sleep(sleep_seconds)
 
         def test_device_update_boot_order(disk_type, disk_path, error_msg):
             """
-- 
2.23.0

